Results 1 to 6 of 6

Thread: Repository for wxGTK?

  1. #1

    Default Repository for wxGTK?

    Can anyone tell me where I can get the wxGTK file? I need to install GITSO to do some remote support work, but it fails because it needs this file.

  2. #2
    Join Date
    Jul 2009
    Location
    Montreal, Québec
    Posts
    833

    Default Re : Repository for wxGTK?

    Hi,

    wxGTK is part of the wxWidgets if I recall. So, a search here give you this : software.opensuse.org: Rsultats de recherche, the first one state that it is in the standard oss repo.

  3. #3

    Default Re: Re : Repository for wxGTK?

    Thanks for that. I'm new to openSUSE (jumped ship from Ubuntu), so a lot of this stuff is unfamiliar. I did a search for wxWidgets in YAST and got a pretty huge list of files, none of which looked promising. I'm assuming from your note that the wxGTK file I'm after is included in another package, rather than being available as an individual download. Any idea what I need to look for?

  4. #4
    Join Date
    Jul 2009
    Location
    Montreal, Québec
    Posts
    833

    Default Re : Re: Re : Repository for wxGTK?

    That's what I told you, wxGTK is included in the wxWidget package. A google search confirm what is said : Development: wxGTK - WxWiki

  5. #5

    Default Re: Re : Re: Re : Repository for wxGTK?

    Yes. I understood the message and I can search and find wxWidgets in the YAST software manager. The problem is that this returns a huge list of packages and I don't have a clue which one(s) I need to install in order to get the wxGTK bit that I need.

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,654

    Default Re: Repository for wxGTK?

    Gewitty wrote:

    >
    > Yes. I understood the message and I can search and find wxWidgets in the
    > YAST software manager. The problem is that this returns a huge list of
    > packages and I don't have a clue which one(s) I need to install in order
    > to get the wxGTK bit that I need.
    >

    I just downloaded the prebuilt binary rpm for opensuse to see which
    dependencies it shows.

    Code:
    rpm -qpR gitso_0.6-1_opensuse.i586.rpm
    python
    x11vnc
    tightvnc
    wxGTK
    python-wxGTK
    rpmlib(PayloadFilesHavePrefix) <= 4.0-1
    rpmlib(CompressedFileNames) <= 3.0.4-1
    /usr/bin/env
    rpmlib(PayloadIsLzma) <= 4.4.6-1
    This should give you a hint. If you compile from source code you will need
    the package wxGTK-devel I would say (this is for 11.3).

    For 11.4 building from source it should be wxWidgets-devel and python-
    wxWidgets what you really need as minimal requirement.

    --
    PC: oS 11.3 64 bit | Intel Core2 Quad Q8300@2.50GHz | KDE 4.6.1 | GeForce
    9600 GT | 4GB Ram
    Eee PC 1201n: oS 11.4 64 bit | Intel Atom 330@1.60GHz | Gnome 2.32 | nVidia
    ION | 3GB Ram

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •